Bug 148982 - Update port: www/mod_wsgi www/mod_wsgi3 Fix conflicts and add warnings about daemon mode and thread support
Summary: Update port: www/mod_wsgi www/mod_wsgi3 Fix conflicts and add warnings about ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-27 07:50 UTC by Douglas Thrift
Modified: 2010-09-15 19:00 UTC (History)
0 users

See Also:


Attachments
mod_wsgix.patch (3.63 KB, patch)
2010-07-27 07:50 UTC, Douglas Thrift
no flags Details | Diff
mod_wsgi3.patch (4.04 KB, patch)
2010-07-28 23:33 UTC, Douglas Thrift
no flags Details | Diff
mod_wsgi.patch (1.85 KB, patch)
2010-07-28 23:33 UTC, Douglas Thrift
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Douglas Thrift 2010-07-27 07:50:01 UTC
The addition of APACHE_PKGNAMEPREFIX was causing the CONFLICTS to be incorrect.
If mod_wsgi is build with an APR and Apache that does not have thread support,
daemon mode will not be available.
Comment 1 Edwin Groothuis freebsd_committer 2010-07-27 07:50:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->apache

apache@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Douglas Thrift 2010-07-28 23:33:59 UTC
It looks like there is a new version for www/mod_wsgi3:

http://code.google.com/p/modwsgi/wiki/ChangesInVersion0303

I've attached updated patches.
-- 
Douglas William Thrift
<douglas@douglasthrift.net>
<http://douglasthrift.net/>
Comment 3 Philip M. Gollucci freebsd_committer 2010-09-09 03:02:29 UTC
Responsible Changed
From-To: apache->pgollucci

I will take it
Comment 4 Philip M. Gollucci freebsd_committer 2010-09-09 04:31:29 UTC
State Changed
From-To: open->closed

Committed, Thanks!
Comment 5 dfilter service freebsd_committer 2010-09-09 04:31:37 UTC
pgollucci    2010-09-09 03:31:20 UTC

  FreeBSD ports repository

  Modified files:
    www/mod_wsgi         Makefile 
    www/mod_wsgi/files   pkg-message.in 
    www/mod_wsgi3        Makefile 
    www/mod_wsgi3/files  pkg-message.in 
  Log:
  - Update to mod_wsgi3 to 3.3
  - Add LICENSE
  - Update CONFLICTS
  
  PR:             ports/148982
  Submitted by:   Douglas Thrift <douglas@douglasthrift.net> (maintainer)
  
  Revision  Changes    Path
  1.16      +12 -1     ports/www/mod_wsgi/Makefile
  1.2       +6 -3      ports/www/mod_wsgi/files/pkg-message.in
  1.18      +11 -1     ports/www/mod_wsgi3/Makefile
  1.2       +6 -3      ports/www/mod_wsgi3/files/pkg-message.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Douglas Thrift 2010-09-10 01:15:00 UTC
On 9/8/2010 8:31 PM, pgollucci@FreeBSD.org wrote:
> Synopsis: Update port: www/mod_wsgi www/mod_wsgi3 Fix conflicts and add warnings about daemon mode and thread support
> 
> State-Changed-From-To: open->closed
> State-Changed-By: pgollucci
> State-Changed-When: Thu Sep 9 03:31:29 UTC 2010
> State-Changed-Why: 
> Committed, Thanks!
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=148982
> 

Hello,

It looks like somehow the white space in the CONFLICTS= lines was lost
in the application of the patches. Could you check on that?

Thanks!
-- 
Douglas William Thrift
<douglas@douglasthrift.net>
<http://douglasthrift.net/>
Comment 7 Douglas Thrift 2010-09-13 00:46:52 UTC
Huh? Apparently you didn't include the upgrade to version 3.3 either?
Could you do that?

Thanks!
-- 
Douglas William Thrift
<douglas@douglasthrift.net>
<http://douglasthrift.net/>
Comment 8 dfilter service freebsd_committer 2010-09-14 02:52:51 UTC
pgollucci    2010-09-14 01:52:46 UTC

  FreeBSD ports repository

  Modified files:
    www/mod_wsgi3        Makefile distinfo 
    www/mod_wsgi3/files  patch-mod_wsgi.c 
  Log:
  - Actually apply the 3.3 update in ports/148982
  
  PR:             ports/148982
  
  Revision  Changes    Path
  1.20      +1 -2      ports/www/mod_wsgi3/Makefile
  1.12      +3 -3      ports/www/mod_wsgi3/distinfo
  1.5       +0 -29     ports/www/mod_wsgi3/files/patch-mod_wsgi.c
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Douglas Thrift 2010-09-15 18:58:22 UTC
Hey,

It looks like ports/www/mod_wsgi3/files/patch-mod_wsgi.c was blanked
instead of deleted.

Thanks!
-- 
Douglas William Thrift
<douglas@douglasthrift.net>
<http://douglasthrift.net/>